SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

ALTER TRIGGER [dbo].[DEPOFISISL_STOKMIAD_TRG] ON [dbo].[DEPOFISISL] FOR INSERT, UPDATE, DELETE AS  
SET NOCOUNT ON
DECLARE 
    @DEPOFISISLID int, @ESKIDEPOFISISLID int, 
    @DEPOFISID int, @ESKIDEPOFISID int, 
    @MIKTAR float, @ESKIMIKTAR float, 
    @BFIYAT float, @ESKIBFIYAT float, 
    @STOKID int, @ESKISTOKID int, 
    @SKTARIHI SMALLDATETIME, @ESKISKTARIHI SMALLDATETIME, 
    @SKTKULLANIYOR bit, @ESKISKTKULLANIYOR bit,
    @OTOTUKETISL bit, @ESKIOTOTUKETISL bit,
    @GDEPOID int,  
    @CDEPOID int, 
    @SUBEID int,
    @HASTASIZMIKTAR float,
    @HDOSYAID int, 
    @ESKIHDOSYAID int,
    @GANADEPO bit,
    @CANADEPO bit
    
 DECLARE @UPDATED_CURSOR CURSOR  
  
 SET @UPDATED_CURSOR = CURSOR FAST_FORWARD FOR 
	 SELECT  
	  I.DEPOFISISLID, I.DEPOFISID, I.STOKID, I.SKTARIHI, I.MIKTAR, I.BFIYAT, I.OTOTUKETISL, I.HDOSYAID,
	  D.DEPOFISISLID, D.DEPOFISID, D.STOKID, D.SKTARIHI, D.MIKTAR, D.BFIYAT, D.OTOTUKETISL, D.HDOSYAID
	 FROM INSERTED I FULL JOIN  
		 DELETED D ON I.DEPOFISISLID = D.DEPOFISISLID  
  
 
 OPEN @UPDATED_CURSOR 
 FETCH NEXT FROM @UPDATED_CURSOR  
 INTO @DEPOFISISLID, @DEPOFISID, @STOKID, @SKTARIHI, @MIKTAR, @BFIYAT, @OTOTUKETISL, @HDOSYAID, 
      @ESKIDEPOFISISLID, @ESKIDEPOFISID, @ESKISTOKID, @ESKISKTARIHI, @ESKIMIKTAR, @ESKIBFIYAT, @ESKIOTOTUKETISL, @ESKIHDOSYAID 
 WHILE @@FETCH_STATUS = 0 
 BEGIN 
   SELECT @SUBEID = DEPOFIS.SUBEID, @GDEPOID = GDEPOID, @GANADEPO = GDEPO.ANADEPO, @CDEPOID = CDEPOID, @CANADEPO = CDEPO.ANADEPO 
   FROM DEPOFIS LEFT OUTER JOIN 
          DEPO GDEPO ON GDEPO.DEPOID = GDEPOID  LEFT OUTER JOIN 
          DEPO CDEPO ON CDEPO.DEPOID = CDEPOID          
   WHERE DEPOFISID = ISNULL(@DEPOFISID, @ESKIDEPOFISID)  
   
   IF @ESKISTOKID IS NOT NULL 
      SELECT @ESKISKTKULLANIYOR =  MIADZORUNLU  
      FROM STOK INNER JOIN STOKGRUP ON STOK.GRUP = STOKGRUP.KODU 
      WHERE STOKID = @ESKISTOKID
   ELSE
      SET @ESKISKTKULLANIYOR = 0
  
   IF ISNULL(@ESKISTOKID, 0) = ISNULL(@STOKID, 0)
      SET @SKTKULLANIYOR = @ESKISKTKULLANIYOR
   ELSE
   IF @STOKID IS NOT NULL 
      SELECT @SKTKULLANIYOR =  MIADZORUNLU  
      FROM STOK INNER JOIN STOKGRUP ON STOK.GRUP = STOKGRUP.KODU 
      WHERE STOKID = @STOKID
   ELSE
      SET @SKTKULLANIYOR = 0
	 
   IF @ESKIDEPOFISISLID IS NOT NULL AND @DEPOFISISLID IS NULL AND @ESKIMIKTAR <> 0 -- DELETE NEDENI ILE DUSULECEK 
   BEGIN  
      IF @GDEPOID IS NOT NULL OR @CDEPOID IS NOT NULL 
      BEGIN
	    IF @ESKISKTARIHI IS NOT NULL AND @ESKISKTKULLANIYOR = 0
	      SET @ESKISKTARIHI = NULL 
      END
      
      IF @GDEPOID IS NOT NULL AND ISNULL(@ESKIOTOTUKETISL, 0) = 0
      BEGIN 
		IF EXISTS(SELECT STOKMIADBAKIYEID FROM STOKMIADBAKIYE                    
		          WHERE SUBEID = @SUBEID AND DEPOID = @GDEPOID AND STOKID = @ESKISTOKID AND ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@ESKISKTARIHI,'01.01.1900')) 
		  UPDATE STOKMIADBAKIYE 
		  SET MIKTAR = MIKTAR - @ESKIMIKTAR, 
		      TUTAR = TUTAR - @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0),
		      HASTASIZMIKTAR = HASTASIZMIKTAR - CASE WHEN @GANADEPO = 1 OR ISNULL(@ESKIHDOSYAID, 0) = 0 THEN @ESKIMIKTAR ELSE 0 END
		  WHERE SUBEID = @SUBEID AND DEPOID = @GDEPOID AND STOKID = @ESKISTOKID AND ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@ESKISKTARIHI,'01.01.1900') 
		ELSE  
		  INSERT INTO STOKMIADBAKIYE (SUBEID, DEPOID, STOKID, SKTARIHI, MIKTAR, TUTAR, HASTASIZMIKTAR) VALUES (@SUBEID, @GDEPOID, @ESKISTOKID, @ESKISKTARIHI, - @ESKIMIKTAR, - @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0),CASE WHEN @GANADEPO = 1 OR ISNULL(@ESKIHDOSYAID, 0) = 0 THEN -@ESKIMIKTAR ELSE 0 END) 
      END 
      IF @CDEPOID IS NOT NULL 
      BEGIN 
		IF EXISTS(SELECT STOKMIADBAKIYEID FROM STOKMIADBAKIYE                    
		          WHERE SUBEID = @SUBEID AND DEPOID = @CDEPOID AND STOKID = @ESKISTOKID AND ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@ESKISKTARIHI,'01.01.1900')) 
		  UPDATE STOKMIADBAKIYE 
		  SET MIKTAR = MIKTAR + @ESKIMIKTAR, 
		      TUTAR = TUTAR + @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0),
		      HASTASIZMIKTAR = HASTASIZMIKTAR + CASE WHEN @CANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN @ESKIMIKTAR ELSE 0 END
		  WHERE SUBEID = @SUBEID AND DEPOID = @CDEPOID AND STOKID = @ESKISTOKID AND ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@ESKISKTARIHI,'01.01.1900') 
		ELSE  
		  INSERT INTO STOKMIADBAKIYE (SUBEID, DEPOID, STOKID, SKTARIHI, MIKTAR, TUTAR, HASTASIZMIKTAR) VALUES (@SUBEID, @CDEPOID, @ESKISTOKID, @ESKISKTARIHI, @ESKIMIKTAR, @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0),CASE WHEN @CANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN @ESKIMIKTAR ELSE 0 END) 
      END 
   END   
   
   IF @DEPOFISISLID IS NOT NULL AND @ESKIDEPOFISISLID IS NULL AND @MIKTAR <> 0 -- INSERT NEDENI ILE EKLENECEK 
   BEGIN 
      IF @GDEPOID IS NOT NULL OR @CDEPOID IS NOT NULL 
      BEGIN
	    IF @SKTARIHI IS NOT NULL AND @SKTKULLANIYOR = 0
	      SET @SKTARIHI = NULL 
      END
      
      IF @GDEPOID IS NOT NULL  AND ISNULL(@OTOTUKETISL, 0) = 0
      BEGIN 
		IF EXISTS(SELECT STOKMIADBAKIYEID FROM STOKMIADBAKIYE                
		          WHERE SUBEID = @SUBEID AND DEPOID = @GDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900')) 
		  UPDATE STOKMIADBAKIYE 
		  SET MIKTAR = MIKTAR + @MIKTAR, 
		      TUTAR = TUTAR + @MIKTAR * ISNULL(@BFIYAT, 0),
		      HASTASIZMIKTAR = HASTASIZMIKTAR + CASE WHEN @GANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN @MIKTAR ELSE 0 END 
		  WHERE SUBEID = @SUBEID AND DEPOID = @GDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900') 
		ELSE  
		  INSERT INTO STOKMIADBAKIYE (SUBEID, DEPOID, STOKID, SKTARIHI, MIKTAR, TUTAR, HASTASIZMIKTAR) VALUES(@SUBEID, @GDEPOID, @STOKID, @SKTARIHI, @MIKTAR, @MIKTAR * ISNULL(@BFIYAT, 0),CASE WHEN @GANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN @MIKTAR ELSE 0 END) 
      END  
      IF @CDEPOID IS NOT NULL 
      BEGIN 
		IF EXISTS(SELECT STOKMIADBAKIYEID FROM STOKMIADBAKIYE                
		          WHERE SUBEID = @SUBEID AND DEPOID = @CDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900')) 
		  UPDATE STOKMIADBAKIYE 
		  SET MIKTAR = MIKTAR - @MIKTAR, 
		      TUTAR = TUTAR - @MIKTAR * ISNULL(@BFIYAT, 0), 
		      HASTASIZMIKTAR = HASTASIZMIKTAR - CASE WHEN @CANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN @MIKTAR ELSE 0 END
		  WHERE SUBEID = @SUBEID AND DEPOID = @CDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900') 
		ELSE  
		  INSERT INTO STOKMIADBAKIYE (SUBEID, DEPOID, STOKID, SKTARIHI, MIKTAR, TUTAR, HASTASIZMIKTAR) VALUES(@SUBEID, @CDEPOID, @STOKID, @SKTARIHI, - @MIKTAR, - @MIKTAR * ISNULL(@BFIYAT, 0),CASE WHEN @CANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN - @MIKTAR ELSE 0 END) 
      END  
   END   
  
   IF @ESKIDEPOFISISLID IS NOT NULL AND @DEPOFISISLID IS NOT NULL -- UPDATE NEDENI ILE GUNCELLENECEK
   BEGIN   
    IF ISNULL(@OTOTUKETISL, 0) <> ISNULL(@ESKIOTOTUKETISL, 0) 
    BEGIN
      RAISERROR ('Otomatik tüketim bilgisi değiştirilemez!', 16, 1)
      ROLLBACK TRANSACTION
      BREAK
    END
    
    /*IF ISNULL(@HDOSYAID, 0) <> ISNULL(@ESKIHDOSYAID, 0) 
    BEGIN
      RAISERROR ('Hasta hesap dosyası bilgisi değiştirilemez!', 16, 1)
      ROLLBACK TRANSACTION
      BREAK
    END*/
        
    -- BAKİYE SKTARIH LERİ DÜZELTİLİYOR... 
	IF @ESKISKTARIHI IS NOT NULL AND @ESKISKTKULLANIYOR = 0
	  SET @ESKISKTARIHI = NULL 
	IF @SKTARIHI IS NOT NULL AND @SKTKULLANIYOR = 0
	  SET @SKTARIHI = NULL 
    
	IF @STOKID <> @ESKISTOKID OR ISNULL(@SKTARIHI,'01.01.1900') <> ISNULL(@ESKISKTARIHI,'01.01.1900') 
	BEGIN
	  -- Eskisinden düş
	  IF @GDEPOID IS NOT NULL AND ISNULL(@ESKIOTOTUKETISL, 0) = 0
	  BEGIN 
		IF EXISTS(SELECT STOKMIADBAKIYEID FROM STOKMIADBAKIYE                    
		          WHERE SUBEID = @SUBEID AND DEPOID = @GDEPOID AND STOKID = @ESKISTOKID AND ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@ESKISKTARIHI,'01.01.1900')) 
		  UPDATE STOKMIADBAKIYE 
		  SET MIKTAR = MIKTAR - @ESKIMIKTAR, 
		      TUTAR = TUTAR - @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0),
		      HASTASIZMIKTAR = HASTASIZMIKTAR - CASE WHEN @GANADEPO = 1 OR ISNULL(@ESKIHDOSYAID, 0) = 0 THEN @ESKIMIKTAR ELSE 0 END 
		  WHERE SUBEID = @SUBEID AND DEPOID = @GDEPOID AND STOKID = @ESKISTOKID AND ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@ESKISKTARIHI,'01.01.1900') 
		ELSE  
		  INSERT INTO STOKMIADBAKIYE (SUBEID, DEPOID, STOKID, SKTARIHI, MIKTAR, TUTAR, HASTASIZMIKTAR) VALUES(@SUBEID, @GDEPOID, @ESKISTOKID, @ESKISKTARIHI, - @ESKIMIKTAR, - @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0), CASE WHEN @GANADEPO = 1 OR ISNULL(@ESKIHDOSYAID, 0) = 0 THEN - @ESKIMIKTAR ELSE 0 END ) 
	  END 
	  IF @CDEPOID IS NOT NULL 
	  BEGIN 
		IF EXISTS(SELECT STOKMIADBAKIYEID FROM STOKMIADBAKIYE                    
		          WHERE SUBEID = @SUBEID AND DEPOID = @CDEPOID AND STOKID = @ESKISTOKID AND ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@ESKISKTARIHI,'01.01.1900')) 
		  UPDATE STOKMIADBAKIYE 
		  SET MIKTAR = MIKTAR + @ESKIMIKTAR, 
		      TUTAR = TUTAR + @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0),
		      HASTASIZMIKTAR = HASTASIZMIKTAR + CASE WHEN @CANADEPO = 1 OR ISNULL(@ESKIHDOSYAID, 0) = 0 THEN @ESKIMIKTAR ELSE 0 END  
		  WHERE SUBEID = @SUBEID AND DEPOID = @CDEPOID AND STOKID = @ESKISTOKID AND ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@ESKISKTARIHI,'01.01.1900') 
		ELSE  
		  INSERT INTO STOKMIADBAKIYE (SUBEID, DEPOID, STOKID, SKTARIHI, MIKTAR, TUTAR, HASTASIZMIKTAR) VALUES(@SUBEID, @CDEPOID, @ESKISTOKID, @ESKISKTARIHI, @ESKIMIKTAR, @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0),CASE WHEN @CANADEPO = 1 OR ISNULL(@ESKIHDOSYAID, 0) = 0 THEN @ESKIMIKTAR ELSE 0 END) 
	  END 
	  -- Yenisine Ekle
	  IF @GDEPOID IS NOT NULL AND ISNULL(@OTOTUKETISL, 0) = 0 
	  BEGIN 
		IF EXISTS(SELECT STOKMIADBAKIYEID FROM STOKMIADBAKIYE                
		          WHERE SUBEID = @SUBEID AND DEPOID = @GDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900')) 
		  UPDATE STOKMIADBAKIYE 
		  SET MIKTAR = MIKTAR + @MIKTAR, 
		      TUTAR = TUTAR + @MIKTAR * ISNULL(@BFIYAT, 0),
		      HASTASIZMIKTAR = HASTASIZMIKTAR + CASE WHEN @GANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN @MIKTAR ELSE 0 END 
		  WHERE SUBEID = @SUBEID AND DEPOID = @GDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900') 
		ELSE  
		  INSERT INTO STOKMIADBAKIYE (SUBEID, DEPOID, STOKID, SKTARIHI, MIKTAR, TUTAR, HASTASIZMIKTAR) VALUES(@SUBEID, @GDEPOID, @STOKID, @SKTARIHI, @MIKTAR, @MIKTAR * ISNULL(@BFIYAT, 0),CASE WHEN @GANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN @MIKTAR ELSE 0 END) 
	  END  
	  IF @CDEPOID IS NOT NULL 
	  BEGIN 
		IF EXISTS(SELECT STOKMIADBAKIYEID FROM STOKMIADBAKIYE                
		          WHERE SUBEID = @SUBEID AND DEPOID = @CDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900')) 
		  UPDATE STOKMIADBAKIYE 
		  SET MIKTAR = MIKTAR - @MIKTAR, 
		      TUTAR = TUTAR - @MIKTAR * ISNULL(@BFIYAT, 0),
		      HASTASIZMIKTAR = HASTASIZMIKTAR - CASE WHEN @CANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN @MIKTAR ELSE 0 END 
		  WHERE SUBEID = @SUBEID AND DEPOID = @CDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900') 
		ELSE  
		  INSERT INTO STOKMIADBAKIYE (SUBEID, DEPOID, STOKID, SKTARIHI, MIKTAR, TUTAR, HASTASIZMIKTAR) VALUES(@SUBEID, @CDEPOID, @STOKID, @SKTARIHI, - @MIKTAR, - @MIKTAR * ISNULL(@BFIYAT, 0),CASE WHEN @CANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN - @MIKTAR ELSE 0 END) 
	  END  
	END ELSE
	IF (@MIKTAR <> @ESKIMIKTAR) OR (ISNULL(@BFIYAT, 0) <> ISNULL(@ESKIBFIYAT, 0)) OR (ISNULL(@HDOSYAID, 0) <> ISNULL(@ESKIHDOSYAID, 0))
	BEGIN
	  IF @GDEPOID IS NOT NULL AND ISNULL(@OTOTUKETISL, 0) = 0
	  BEGIN 
		IF EXISTS(SELECT STOKMIADBAKIYEID FROM STOKMIADBAKIYE                
		          WHERE SUBEID = @SUBEID AND DEPOID = @GDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900')) 
		  UPDATE STOKMIADBAKIYE 
		  SET MIKTAR = MIKTAR + @MIKTAR - @ESKIMIKTAR,
		      TUTAR = TUTAR +  @MIKTAR * ISNULL(@BFIYAT, 0) - @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0),
		      HASTASIZMIKTAR = HASTASIZMIKTAR + CASE WHEN @GANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN @MIKTAR ELSE 0 END - CASE WHEN @GANADEPO = 1 OR ISNULL(@ESKIHDOSYAID, 0) = 0 THEN @ESKIMIKTAR ELSE 0 END
		  WHERE SUBEID = @SUBEID AND DEPOID = @GDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900') 
		ELSE  
		  INSERT INTO STOKMIADBAKIYE (SUBEID, DEPOID, STOKID, SKTARIHI, MIKTAR, TUTAR, HASTASIZMIKTAR) VALUES(@SUBEID, @GDEPOID, @STOKID, @SKTARIHI, @MIKTAR - @ESKIMIKTAR, @MIKTAR * ISNULL(@BFIYAT, 0) - @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0), CASE WHEN @GANADEPO = 1 OR  ISNULL(@HDOSYAID, 0) = 0 THEN @MIKTAR ELSE 0 END - CASE WHEN @GANADEPO = 1 OR ISNULL(@ESKIHDOSYAID, 0) = 0 THEN @ESKIMIKTAR ELSE 0 END) 
	  END  
	  IF @CDEPOID IS NOT NULL 
	  BEGIN 
		IF EXISTS(SELECT STOKMIADBAKIYEID FROM STOKMIADBAKIYE                
		          WHERE SUBEID = @SUBEID AND DEPOID = @CDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900')) 
		  UPDATE STOKMIADBAKIYE 
		  SET MIKTAR = MIKTAR - (@MIKTAR - @ESKIMIKTAR),
		      TUTAR = TUTAR - (@MIKTAR * ISNULL(@BFIYAT, 0) - @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0)),
		      HASTASIZMIKTAR = HASTASIZMIKTAR - (CASE WHEN @CANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN @MIKTAR ELSE 0 END - CASE WHEN @GANADEPO = 1 OR ISNULL(@ESKIHDOSYAID, 0) = 0 THEN @ESKIMIKTAR ELSE 0 END)
		  WHERE SUBEID = @SUBEID AND DEPOID = @CDEPOID AND STOKID = @STOKID AND  ISNULL(SKTARIHI,'01.01.1900') = ISNULL(@SKTARIHI,'01.01.1900') 
		ELSE  
		  INSERT INTO STOKMIADBAKIYE (SUBEID, DEPOID, STOKID, SKTARIHI, MIKTAR, TUTAR, HASTASIZMIKTAR) VALUES(@SUBEID, @CDEPOID, @STOKID, @SKTARIHI,-1 * (@MIKTAR - @ESKIMIKTAR), -1 * (@MIKTAR * ISNULL(@BFIYAT, 0) - @ESKIMIKTAR * ISNULL(@ESKIBFIYAT, 0)), -1*(CASE WHEN @CANADEPO = 1 OR ISNULL(@HDOSYAID, 0) = 0 THEN @MIKTAR ELSE 0 END - CASE WHEN @GANADEPO = 1 OR ISNULL(@ESKIHDOSYAID, 0) = 0 THEN @ESKIMIKTAR ELSE 0 END)) 
	  END  
	END
   END    
   FETCH NEXT FROM @UPDATED_CURSOR  
   INTO @DEPOFISISLID, @DEPOFISID, @STOKID, @SKTARIHI, @MIKTAR, @BFIYAT, @OTOTUKETISL, @HDOSYAID, 
        @ESKIDEPOFISISLID, @ESKIDEPOFISID, @ESKISTOKID, @ESKISKTARIHI, @ESKIMIKTAR, @ESKIBFIYAT, @ESKIOTOTUKETISL, @ESKIHDOSYAID 
  END 
  
 CLOSE @UPDATED_CURSOR 
 DEALLOCATE @UPDATED_CURSOR 

GO


